import request from '@/utils/request';
export function selectJobsList(params){
  return request({
    url: `/front/jobs/list`,
    method: 'get',
    params
  })
}

/**
 * 职业库 level：1 1级
 *       level：2 2级
 */
export function getAllVocation(params){
  return request({
    url:`front/vocational/getAllVocation`,
    method:'get',
    params
  })
}


// 职业概况
export function vocationalOverview(params){
  return request({
    url:`front/vocational/getVocationalOverview`,
    method:'get',
    params
  })
}

/**
 * 获取就业岗位
 * @param params
 */
export function vocationalPosts(params){
  return request({
    url:`front/vocational/getVocationalPosts`,
    method:'get',
    params
  })
}




/**
 * 获取职业就业详情
 * @param params
 */
export function vocationalPostsDetail(params){
  return request({
    url:`/front/vocational/getVocationalPostDetailByPostName`,
    method:'get',
    params
  })
}

/**
 * 获取职业详情
 * @param params
 */
export function getJobDetail(params){
  return request({
    url:`front/jobs/detail`,
    method:'get',
    params
  })
}
